# spring-boot 应用监控
+ 该服务默认端口8788
+ 邮件通知只需要修改对用的服地址，用户名和密码即可
+ 如果需要自定义通知，修改CustomNotifier类即可，继承AbstractStatusChangeNotifier类  

### 客户端集成
+ 引入maven依赖

```
<dependency>
    <groupId>de.codecentric</groupId>
    <artifactId>spring-boot-admin-starter-client</artifactId>
</dependency>
```
+ 增加配置
```
spring.boot.admin.client.url=http://localhost:8788
management.endpoints.web.exposure.include=*
management.endpoint.health.show-details=always
```
最好写上服务名称，否则发送邮件的时候不知道是哪个服务挂了
```
spring.application.name= 服务名称
```

### 运行
启动server端服务，访问 http://ip:8788/ 即可

![](img/clients.PNG)

![](img/detial.PNG)